## maildir-utils 1.6.10

=== meson_options.txt ===
## Copyright (C) 2021 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software Foundation,
## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.


option('guile',
       type : 'feature',
       value: 'auto',
       description: 'build the guile scripting support (requires guile-3.x)')

option('toys',
       type : 'feature',
       value: 'auto',
       description: 'build various toy programs (requires gtk3/gtk-webkit)')

option('readline',
       type: 'feature',
       value: 'auto',
       description: 'enable readline support for the mu4e repl')
