=== debian/changelog ===
maildir-utils (1.6.10-1) unstable; urgency=medium

  * New upstream version 1.6.10

 -- Norbert Preining <norbert@preining.info>  Sat, 13 Nov 2021 17:24:13 +0900

maildir-utils (1.6.9-1) unstable; urgency=medium

  * New upstream version 1.6.9
  * Update patch.

 -- Norbert Preining <norbert@preining.info>  Mon, 25 Oct 2021 07:19:56 +0900

maildir-utils (1.6.7-1) unstable; urgency=medium

  * New upstream version 1.6.7
  * Update patch.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Oct 2021 21:47:44 +0900

maildir-utils (1.6.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Remove Section on maildir-utils, Priority on mu4e that duplicate source.
  * Remove constraints unnecessary since buster

  [ Norbert Preining ]
  * Update standards version to 4.6.0, no changes needed.
  * New upstream version 1.6.6

 -- Norbert Preining <norbert@preining.info>  Sun, 05 Sep 2021 18:08:49 +0900

maildir-utils (1.6.5-1) unstable; urgency=medium

  * New upstream version 1.6.5

 -- Norbert Preining <norbert@preining.info>  Fri, 27 Aug 2021 07:49:53 +0900

maildir-utils (1.6.4-1) unstable; urgency=medium

  * New upstream version 1.6.4

 -- Norbert Preining <norbert@preining.info>  Mon, 23 Aug 2021 10:20:03 +0900

maildir-utils (1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3
  * Drop upstream patch.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 01:09:51 +0900

maildir-utils (1.6.1-1) experimental; urgency=medium

  * New upstream version 1.6.1
  * Drop upstream patches.
  * Cherry-pick upstream fix for schemata warning
  * Add a NEWS entry for database schemata

 -- Norbert Preining <norbert@preining.info>  Sun, 01 Aug 2021 10:04:26 +0900

maildir-utils (1.6.0-1) experimental; urgency=medium

  * New upstream version 1.6.0
  * Update list of installed files.
  * Add libreadline-dev to B-D.
  * Update patches.
  * Cherry-pick several fixes from upstream.

 -- Norbert Preining <norbert@preining.info>  Fri, 30 Jul 2021 09:24:31 +0900
