=== debian/control ===
Source: maildir-utils
Section: mail
Priority: optional
Maintainer: Norbert Preining <norbert@preining.info>
Build-Depends: libxapian-dev, debhelper-compat (= 13), zlib1g-dev, libgtk-3-dev, xdg-utils, emacsen-common, guile-3.0-dev, texinfo, pmccabe, libgmime-3.0-dev, libreadline-dev
Standards-Version: 4.6.0
Homepage: https://www.djcbsoftware.nl/code/mu/
Vcs-Git: https://github.com/norbusan/debian-mu.git
Vcs-Browser: https://github.com/norbusan/debian-mu

Package: maildir-utils
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg | install-info
Description: Set of utilities to deal with Maildirs (upstream name mu)
 mu is a set of utilities to deal with Maildirs, specifically,
 indexing and searching.
  - mu index - recursively scans a collection of email messages, and
    stores information found in a database.
  - mu find - searches for messages based on some search criteria.
  - mu mkmdir - creates a new Maildir.
 .
 mu uses libgmime to parse the message, and Xapian to store the message data.

Package: mu4e
Section: lisp
Architecture: all
Depends: ${misc:Depends}, maildir-utils (>= ${source:Version}), maildir-utils (<< ${source:Version}.1~), emacsen-common, dpkg | install-info
Description: e-mail client for Emacs based on mu (maildir-utils)
 mu4e (mu-for-emacs) is an e-mail client for GNU-Emacs version 23 and
 later, built on top of the mu e-mail search engine. mu4e is optimized
 for fast handling of large amounts of e-mail.
