## maildir-utils 1.8.7

=== debian/changelog ===
maildir-utils (1.8.7-2) unstable; urgency=medium

  * debian/rules: Both armel and ia64 have guile-3.0-dev, stop passing
    --disable-guile there (thanks to Adrian Bunk)

 -- Martin <debacle@debian.org>  Mon, 01 Aug 2022 06:51:47 +0000

maildir-utils (1.8.7-1) unstable; urgency=medium

  * New upstream version
  * Add symlink in mu4e to NEWS.org in mu4e (Closes: #1016134)
  * Switch to dh_elpa and more modern debian/rules

 -- Martin <debacle@debian.org>  Sun, 31 Jul 2022 17:10:04 +0000

maildir-utils (1.8.6-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Mon, 18 Jul 2022 18:03:46 +0000

maildir-utils (1.8.5-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Mon, 11 Jul 2022 20:40:10 +0000

maildir-utils (1.8.3-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Tue, 05 Jul 2022 06:30:26 +0000

maildir-utils (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2 (Closes: #1013942)
  * Migrate package to Emacs team on Salsa,
    thanks to Norbert for maintaining this package over 13 years!
  * Remove dependencies on "dpkg | install-info" (Closes: #1013830, #1013834)
  * Refresh patches, remove obsolete fix-mug-build

 -- Martin <debacle@debian.org>  Wed, 29 Jun 2022 19:00:50 +0000
