## maildir-utils 1.8.14

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-## Copyright (C) 2021 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
+## Copyright (C) 2022 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
 ##
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
@@ -20,12 +20,16 @@
        value: 'auto',
        description: 'build the guile scripting support (requires guile-3.x)')
 
-option('toys',
-       type : 'feature',
-       value: 'auto',
-       description: 'build various toy programs (requires gtk3/gtk-webkit)')
-
 option('readline',
        type: 'feature',
        value: 'auto',
        description: 'enable readline support for the mu4e repl')
+
+option('emacs',
+       type: 'string',
+       value: 'emacs',
+       description: 'name/path of the emacs executable')
+
+option('lispdir',
+       type: 'string',
+       description: 'path under which to install emacs-lisp files')
