=== debian/changelog ===
maildir-utils (1.8.14-3) unstable; urgency=medium

  * Team upload
  * Bug fix: "public shared library shipped in maildir-utils binary
    package", thanks to Jeremy Sowden (Closes: #1041271).

 -- David Bremner <bremner@debian.org>  Wed, 19 Jul 2023 08:11:03 -0300

maildir-utils (1.8.14-2) unstable; urgency=medium

  * Team upload
  * Bug fix: "ftbfs with GCC-13", thanks to Matthias Klose (Closes:
    #1037765). Thanks to Jeremy Sowden for the fix.
  * Install missing info files (also thanks to Jeremy Sowden)

 -- David Bremner <bremner@debian.org>  Sun, 16 Jul 2023 13:32:26 -0300

maildir-utils (1.8.14-1) unstable; urgency=medium

  * New upstream verion

 -- Martin <debacle@debian.org>  Tue, 07 Feb 2023 22:53:40 +0000

maildir-utils (1.8.13-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Mon, 23 Jan 2023 00:00:53 +0000

maildir-utils (1.8.10-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sat, 08 Oct 2022 14:10:38 +0000
