=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

ELPA_NAME=mu4e
export ELPA_NAME

%:
	dh $@ --with elpa

override_dh_auto_configure:
	dh_auto_configure -- --docdir='$${prefix}/share/doc/maildir-utils' --disable-webkit

execute_after_dh_auto_install:
	-rm $(CURDIR)/debian/tmp/usr/lib/*/libguile-mu.la

execute_before_dh_elpa:
	echo ';;; package description for mu4e  -*- no-byte-compile: t -*-' > mu4e/mu4e-pkg.el
	echo "(define-package \"mu4e\" \"$(DEB_VERSION_UPSTREAM)\" \"the mu mail user agent\" 'nil)" >> mu4e/mu4e-pkg.el

override_dh_compress:
	dh_compress --exclude=NEWS.org
