=== debian/changelog ===
maildir-utils (1.10.8-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Jan 2024 17:49:17 -0600

maildir-utils (1.10.8-2) unstable; urgency=medium

  * d/patches
    - add patches to fix unreproducible dates in documentation
      (Closes: #1056572)

 -- Jeremy Sowden <jeremy@azazel.net>  Wed, 22 Nov 2023 21:02:32 +0000

maildir-utils (1.10.8-1) unstable; urgency=medium

  * New upstream version 1.10.8
  * d/changelog
    - remove entry for non-existent 1.8.14-4 release
  * d/gitlab-ci.yml
    - enable CI pipeline
  * d/gbp.conf
    - dch: add `commit-msg`
  * d/patches
    - refresh patches

 -- Jeremy Sowden <jeremy@azazel.net>  Thu, 16 Nov 2023 20:24:41 +0000

maildir-utils (1.10.7-1) unstable; urgency=medium

  * New upstream version 1.10.7
  * d/.gitignore
    - ignore packaging artefacts
    - ignore Emacs artefacts
  * d/clean
    - remove entries not relevant to 1.10
  * d/control
    - add myself to uploaders
    - add build-dep on meson
    - add build-dep on libglib2.0-dev
    - trim unneeded build-deps
    - wrap-and-sort
  * d/elpa-test
    - disable dh-elpa-test to run upstream test-suite
  * d/maildir-utils.docs
    - remove obsolete TODO file
  * d/maildir-utils.examples
    - install Guile examples
  * d/maildir-utils.install
    - update the path of the Guile extension
  * d/mu4e.elpa
    - copy .el files from meson build directory
  * d/NEWS
    - fix formatting
    - add entry advising that the database needs to be reinitialized
      because of a schema update
  * d/not-installed
    - remove obsolete Guile .la file
  * d/patches
    - remove obsolete patches
    - refresh mu4e patches
    - refresh man-page patch
    - add patch to use max. compression for info files
    - add new man-page patch with upstreamed corrections
    - add DEP-3 metadata to all patches
    - add patch to fix a couple of typo's
    - add upstream patch to remove references to mu4e build directory
  * d/rules
    - update to use meson build-system
    - write mu4e-pkg.el to meson build directory
    - patch mu-cfind.1 to ensure that groff runs tbl
    - make build verbose unless the `terse` build option is used

 -- Jeremy Sowden <jeremy@azazel.net>  Wed, 08 Nov 2023 21:51:57 +0000
