=== debian/control ===
--- 
+++ 
@@ -2,19 +2,16 @@
 Section: mail
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Martin <debacle@debian.org>
+Uploaders: Martin <debacle@debian.org>, Jeremy Sowden <jeremy@azazel.net>
 Build-Depends: debhelper-compat (= 13),
-	dh-elpa,
-	emacsen-common,
-	guile-3.0-dev,
-	libgmime-3.0-dev,
-	libgtk-3-dev,
-	libreadline-dev,
-	libxapian-dev,
-	pmccabe,
-	texinfo,
-	xdg-utils,
-	zlib1g-dev,
+               dh-elpa,
+               guile-3.0-dev,
+               libglib2.0-dev,
+               libgmime-3.0-dev,
+               libreadline-dev,
+               libxapian-dev,
+               meson,
+               texinfo
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.djcbsoftware.nl/code/mu/
@@ -23,7 +20,7 @@
 
 Package: maildir-utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Set of utilities to deal with Maildirs (upstream name mu)
  mu is a set of utilities to deal with Maildirs, specifically,
  indexing and searching.
@@ -37,7 +34,10 @@
 Package: mu4e
 Section: lisp
 Architecture: all
-Depends: ${misc:Depends}, maildir-utils (>= ${source:Version}), maildir-utils (<< ${source:Version}.1~), emacsen-common
+Depends: emacsen-common,
+         maildir-utils (<< ${source:Version}.1~),
+         maildir-utils (>= ${source:Version}),
+         ${misc:Depends}
 Description: e-mail client for Emacs based on mu (maildir-utils)
  mu4e (mu-for-emacs) is an e-mail client for GNU-Emacs version 23 and
  later, built on top of the mu e-mail search engine. mu4e is optimized
