## maildir-utils 1.12.5

=== debian/changelog ===
maildir-utils (1.12.5-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:42:11 +0900

maildir-utils (1.12.5-1) unstable; urgency=medium

  * New upstream version 1.12.5
    - Rework message composition; split off parts into mu4e-draft.el. This
      tries harder to maintain the current buffer as expected
    - This fixes e.g. emacs-report-bug handling
    - New hook mu4e-compose-post-hook for tweaking what mu4e does when
      we're done with a message (after sending, cancelling, ...).
      By default, it tries to close the frame if needed, and restore
      the window configuration. See its docstring.
    - Better handle forwarding of encoded messages
    - Don't remove non-mu4e completion in composer
    - Integrate iCalendar support with message-composition
    - Handle mu4e-sent-messages-behavior correctly when it's a function
    - Better support NetBSD
    - Support some file systems that don't put the file type in d_type
    - Improve documentation
  * d/patches
    - remove upstreamed patch
    - add patch to fix RISC-V test failure (Closes: #1071192)

 -- Jeremy Sowden <azazel@debian.org>  Mon, 03 Jun 2024 22:05:55 +0100

maildir-utils (1.12.4-1) unstable; urgency=medium

  * New upstream version 1.12.4 (closes: #1069104)
    - query when quitting emacs with unhandled marks in a headers buffer
    - fix mime-handling
    - update sent handling (simplifying it)
    - re-enable a specific database lock; this makes indexing a bit slower,
      but hopefully avoids some db corruption.
  * d/patches
    - refresh patches
  * d/p/handle-dt_unknown-dentries.patch
    - add patch to fix reprotest failures
  * d/p/mu4e-dont-bytecompile
    - fix autoload generation

 -- Jeremy Sowden <azazel@debian.org>  Fri, 03 May 2024 13:04:09 +0100

maildir-utils (1.12.3-3) unstable; urgency=medium

  [ Jeremy Sowden ]
  * d/rules
    - enable 64-bit time_t on i386
    - use upstream mu4e-pkg.el
  * d/patches
    - add patch to fix possible overflow on architectures which do
      not support 64-bit time_t
  * d/maildir-utils.docs, d/p/adjust-mu-docdir
    - move doc's installed in /usr/share/doc/mu
  * d/TODO
    - the entries in it are obsolete, so remove it

  [ Xiyue Deng ]
  * Fix mu4e.elpa path to include all *.el files (Closes: #1068869)

 -- Jeremy Sowden <azazel@debian.org>  Sat, 13 Apr 2024 18:57:16 +0100

maildir-utils (1.12.3-2) unstable; urgency=medium

  * d/control
    - remove build-dep on libcld2-dev

 -- Jeremy Sowden <azazel@debian.org>  Thu, 11 Apr 2024 14:08:52 +0100

maildir-utils (1.12.3-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Add locales-all to Build-Depends which is required by tests

  [ Jeremy Sowden ]
  * New upstream version 1.12.3 (Closes: #1067809)
    - Significant speedups in both mu and mu4e
    - Reworked message composition, closer to its Gnus origins which adds
      many of its features
    - Overhauled the query parser; squashing a number of bugs/limitations,
      incl. dealing with CJK messages
    - Experimental folding of message threads
    - Better and faster indexing of HTML messages
    - Experimental search by (human) language with CLD2
  * d/control
    - update my e-mail address
    - add build-dep on libcld2-0-dev to enable language-search support
    - bump Standards-Version to 4.7.0
  * d/copyright
    - update copyright notice for Dirk-Jan C. Binnema
    - add missing copyright statements and licences
  * d/NEWS
    - add entry for 1.12.3-1 advising that the database needs to be
      reinitialized because of schema updates
  * d/patches
    - delete upstreamed patches
    - refresh patches
  * d/rules
    - fix tabulation in all man-pages containing tables
    - link against libatomic on armel (Closes: #1068030)

 -- Jeremy Sowden <azazel@debian.org>  Wed, 10 Apr 2024 20:18:09 +0100
