=== debian/changelog ===
maildir-utils (1.12.6-1build1) oracular; urgency=medium

  * Rebuild against latest guile-3.0 (LP: #2080919)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 17 Sep 2024 11:51:11 -0400

maildir-utils (1.12.6-1) unstable; urgency=medium

  * New upstream version 1.12.6

 -- Jeremy Sowden <azazel@debian.org>  Sat, 10 Aug 2024 14:03:33 +0100
