=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Martin <debacle@debian.org>, Jeremy Sowden <jeremy@azazel.net>
+Uploaders: Martin <debacle@debian.org>, Jeremy Sowden <azazel@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                guile-3.0-dev,
@@ -10,9 +10,10 @@
                libgmime-3.0-dev,
                libreadline-dev,
                libxapian-dev,
+               locales-all,
                meson,
                texinfo
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.djcbsoftware.nl/code/mu/
 Vcs-Git: https://salsa.debian.org/emacsen-team/maildir-utils.git
