## maildir-utils 1.12.7

=== debian/changelog ===
maildir-utils (1.12.7-1) unstable; urgency=medium

  * New upstream version 1.12.7
  * d/patches: refresh patches

 -- Jeremy Sowden <azazel@debian.org>  Sat, 02 Nov 2024 11:58:23 +0000
