## maildir-utils 1.12.8

=== debian/changelog ===
maildir-utils (1.12.8-1) unstable; urgency=medium

  * New upstream version 1.12.8
  * d/patches: refresh patches
  * d/gitlab-ci.yml: rename to salsa-ci.yml

 -- Jeremy Sowden <azazel@debian.org>  Sun, 29 Dec 2024 11:55:27 +0000
