=== debian/changelog ===
maildir-utils (1.12.9-1) unstable; urgency=medium

  * New upstream version 1.12.9
    - mu
      + the cleanup phase after indexing is significantly faster now
    - mu4e
      + new command `mu4e-analyze-last-query` which shows information about
        how the server interpreted the last query.
      + When you ask for bookmarks or maildirs through `mu4e-search-bookmark`
        or `mu4e-search-maildir`, unread counts are displayed in the (default)
        completions UI next to the maildir or bookmark.
      + A (experimental) "transient" menu has been added.
      + Various Gnus' mailing list commands are now available in the mu4e
        message view as well.
      + The mu server uses PCRE-compatible regexps (for addresses), which are
        not necessarily compatible with Emacs regular expressions. However,
        mu4e can now automatically translate; this depends on the `pcre2el`
        package which the user should install when using regular
        expression-addresses.
  * d/patches
    - refresh patches
    - add patch to fix single-quoted strings in man-page
    - add patch to escape back-slashes in man-page
  * d/control
    - bump Standards-Version to 4.7.2

 -- Jeremy Sowden <azazel@debian.org>  Mon, 10 Mar 2025 22:07:50 +0000
