=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                locales-all,
                meson,
                texinfo
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.djcbsoftware.nl/code/mu/
 Vcs-Git: https://salsa.debian.org/emacsen-team/maildir-utils.git
