=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/maildir-utils-$1\.tar\.gz/ \
  https://github.com/djcb/mu/tags .*/v?(\d\S+)\.tar\.gz
