## maildir-utils 1.12.12

=== debian/changelog ===
maildir-utils (1.12.12-2) unstable; urgency=medium

  * d/changelog: fix a couple of mistakes in the entry for 1.12.12-1
  * d/rules: increase meson unit-test time-out.
    Thanks to Adrian Bunk (Closes: #1111826)

 -- Jeremy Sowden <azazel@debian.org>  Sat, 23 Aug 2025 12:49:00 +0100

maildir-utils (1.12.12-1) unstable; urgency=medium

  * New upstream version 1.12.12
    - mu
      + the `--my-address` parameter to `--mu-init` has been renamed into
        `--personal-address`, for consistency with the other places where we
        refer to it as a personal address. `--my-address` is still supported as
        an alias, for backward compatibility.
    - mu4e
      + add a `defcustom` `mu4e-compose-jump-to-a-reasonable-place` for
        customizing whether mu4e jumps to some "reasonable place" when opening
        the message composition buffer. Default is `t`, as the current behavior.
      + `mu4e-maildir-shortcuts` and `mu4e-bookmarks` now understand a property
        `:hide-if-no-unread`, which hides the maildir/bookmark from the
        main-view if there are no unread messages which the corresponding query.
      + it is now possible to create Emacs bookmarks for both messages (default)
        and queries. See the new variable `mu4e-emacs-bookmark-policy`.
      + `mu4e-get-mail-command`, which specifies the shell command to use for
        getting mail, can now also be a function return that shell-command. This
        makes it easier to use different shell commands in different situations.
  * d/patches
    - refresh patches
  * d/rules
    - link against libatomic on m68k, powerpc, sh4 (Closes: #1108203)

 -- Jeremy Sowden <azazel@debian.org>  Wed, 13 Aug 2025 14:00:50 +0100
