## maildir-utils 1.12.13

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,6 @@
 # for the better error messages (esp. for fmt).
 ifneq (${MU_HACKER},)
 MESON_FLAGS:=$(MESON_FLAGS) '-Dbuildtype=debug'    \
-			    '-Db_sanitize=address' \
 			    '-Dreadline=enabled'   \
 			    '-Dcpp_std=c++23'
 endif
@@ -93,6 +92,7 @@
 vg_opts:=--enable-debuginfod=no --leak-check=full --error-exitcode=1
 test-valgrind: export G_SLICE=always-malloc
 test-valgrind: export G_DEBUG=gc-friendly
+test-valgrind: export MU_VALGRIND=memcheck
 test-valgrind: build-valgrind
 	@$(MESON) test -C $(BUILDDIR_VALGRIND)			\
 		--wrap="$(VALGRIND) $(vg_opts)"			\
@@ -102,6 +102,7 @@
 
 # we do _not_ pass helgrind; but this seems to be a false-alarm
 #    https://gitlab.gnome.org/GNOME/glib/-/issues/2662
+test-helgrind: export MU_VALGRIND=helgrind
 test-helgrind: $(BUILDDIR_VALGRIND)
 	$(MESON) -C $(BUILDDIR_VALGRIND) test	\
 	--wrap="$(VALGRIND) --tool=helgrind --error-exitcode=1"	\
@@ -152,7 +153,31 @@
 
 distclean: clean
 
-HTMLPATH=${BUILDDIR}/mu4e/mu4e
+
+#
+# documentation
+#
+BUILDAUX:=./build-aux
+DOCPATH=${BUILDDIR}/doc
+MU4E_DOCHTML=${DOCPATH}/mu4e
+
 mu4e-doc-html:
-	@mkdir -p ${HTMLPATH} && cp mu4e/texinfo-klare.css ${HTMLPATH}
-	@cd mu4e; makeinfo -v -I ${BUILDDIR} -I ${BUILDDIR}/mu4e --html --css-ref=texinfo-klare.css -o ${HTMLPATH} mu4e.texi
+	@mkdir -p ${MU4E_DOCHTML} && cp $(BUILDAUX)/texinfo-klare.css ${MU4E_DOCHTML}
+	@cd mu4e; makeinfo -v -I ${BUILDDIR} -I ${BUILDAUX} \
+		  -I ${BUILDDIR}/mu4e --html --css-ref=texinfo-klare.css -o ${MU4E_DOCHTML} mu4e.texi
+mu4e-doc-pdf:
+	@mkdir -p ${DOCPATH}
+	@cd mu4e; makeinfo -v -I ${BUILDDIR} -I ${BUILDDIR}/mu4e -I ${BUILDAUX} \
+		--pdf -o ${DOCPATH}/mu4e.pdf mu4e.texi
+
+MU_SCM_DOCHTML=${DOCPATH}/mu-scm
+mu-scm-doc-html:
+	@mkdir -p ${MU_SCM_DOCHTML} && cp $(BUILDAUX)/texinfo-klare.css ${MU_SCM_DOCHTML}
+	@cd scm; makeinfo -v -I ${BUILDDIR} -I ${BUILDDIR}/scm -I ${BUILDAUX} \
+		--html --css-ref=texinfo-klare.css -o ${MU_SCM_DOCHTML} mu-scm.texi
+mu-scm-doc-pdf:
+	@mkdir -p ${DOCPATH}
+	@cd scm; makeinfo -v -I ${BUILDDIR} -I ${BUILDDIR}/scm -I ${BUILDAUX} \
+		--pdf -o ${DOCPATH}/mu-scm.pdf mu-scm.texi
+
+doc: mu4e-doc-html mu4e-doc-pdf mu-scm-doc-html mu-scm-doc-pdf
