=== meson_options.txt ===
--- 
+++ 
@@ -14,6 +14,25 @@
 ## along with this program; if not, write to the Free Software Foundation,
 ## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 
+
+#
+# mu contains some 'vendored' dependencies under thirdparty/; those
+# are only used if the corresponding system package is not found
+# (if such exists). But, we can override:
+
+option('use-embedded-fmt',
+       type: 'boolean',
+       value: false,
+       description: 'Use the embedded fmt, even if system package is found')
+
+option('use-embedded-cli11',
+       type: 'boolean',
+       value: false,
+       description: 'Use the embedded CLI11, even if system package is found')
+
+#
+# language detection
+#
 
 option('cld2',
        type : 'feature',
@@ -35,7 +54,7 @@
 
 
 #
-# guile
+# guile & scm
 #
 
 option('guile',
@@ -47,6 +66,11 @@
 option('guile-extension-dir',
        type: 'string',
        description: 'custom install path for the guile extension module')
+
+option('scm',
+       type : 'feature',
+       value: 'auto',
+       description: 'build the guile scripting support (requires guile-3.x)')
 
 #
 # misc
