=== debian/changelog ===
maildir-utils (1.12.13-1) unstable; urgency=medium

  * New upstream version 1.12.13
    - mu
      + new (sub)command "labels", for associating searchable labels with
        messages. Labels are similar to tags, but better integrated with mu
        (and mu4e). See mu-labels.1 man-page for details.
    - scm
      + you can set `mu4e-mu-scm-server` to non-nil and connect to the SCM REPL
        with `M-x mu4e-mu-scm-repl` after restart (see their docstrings for
        details)
      + add the `--listen` flag for `mu scm` and `mu server`, to start a REPL on
        a Unix domain socket. See the reference manual for details.
      + `mu scm` also gained support for labels and logging; furthermore,
        `mfind` was made much faster.
  * d/control
    - add build-dep's on libfmt-dev and libcli11-dev
  * d/copyright
    - remove a deleted file and update a couple of moved ones
  * d/patches
    - refresh existing patches
    - add patch to build test executables verbosely
  * d/watch
    - update to version 5

 -- Jeremy Sowden <azazel@debian.org>  Fri, 17 Oct 2025 08:25:57 +0100
