=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                guile-3.0-dev,
+               libcli11-dev,
+               libfmt-dev,
                libglib2.0-dev,
                libgmime-3.0-dev,
                libreadline-dev,
