=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,9 @@
 include /usr/share/dpkg/pkg-info.mk
 
 #
-# Cf. #1068030.
+# Vide #1068030, #1108203.
 #
-ifeq (armel,$(DEB_HOST_ARCH))
+ifeq ($(filter armel m68k powerpc sh4,$(DEB_HOST_ARCH)),$(DEB_HOST_ARCH))
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed -latomic -Wl,--as-needed
 endif
 
@@ -38,5 +38,11 @@
 	#
 	for m in $(TBL_MANPAGES); do sed -i '1 i '"'"'\\" t' $(BUILDDIR)/man/$$m; done
 
+#
+# Vide #1111826.
+#
+override_dh_auto_test:
+	dh_auto_test -- --timeout-multiplier 10
+
 override_dh_compress:
 	dh_compress --exclude=NEWS.org
