=== debian/watch ===
Version: 5
Source: https://github.com/djcb/mu/tags
Matching-Pattern: .*/@ANY_VERSION@\.tar\.gz
Filename-Mangle: s,@ANY_VERSION@\.(tar\.gz),maildir-utils-$1.$2,
